package com.dbnt.sims.translator.repository;

import com.dbnt.sims.translator.model.TranslatorCrr;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;


public interface TranslatorCareerRepository extends JpaRepository<TranslatorCrr, TranslatorCrr.TranslatorCrrId> {

	TranslatorCrr findTopByTranslatorKeyOrderByCareerSeqDesc(Integer translatorKey);

	Optional<TranslatorCrr> findByCareerSeqAndTranslatorKey(Integer careerSeq, Integer translatorKey);

	void deleteByTranslatorKey(int trKey);









}
